#ifndef _VOLUME_H_
#define _VOLUME_H_

void *create_volume_module(void);
void delete_volume_module(void *m);

int new_volume(void *m);
void free_volume(void *m, int id);
int get_volume(void *m, int id);
void set_volume(void *m, int id, int vol);

typedef struct {
  int id;
  int vol;
} volume_item_t;

volume_item_t *get_volumes(void *m, int *count);
void check_and_set_volumes(void *m, int count, volume_item_t *v);

float volume_db2lin(int vol);

void run_volume_client(void *m, int fd);

#endif /* _VOLUME_H_ */
